﻿using RestAPIEx.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Web;
using System.Web.Mvc;

namespace RestAPIEx.Controllers
{
    public class CalciController : Controller
    {
        // GET: Calci
        public ActionResult Index()
        {
            ViewBag.Result = "Enter numbers in Textboxes.";
            return View();
        }

        [HttpPost]
        public ActionResult Index(Numbers numbers)
        {
            try
            {
                using (var client = new HttpClient())
                {
                    client.BaseAddress = new Uri("http://localhost/RestAPIEx/api/");

                    var postObj = client.PostAsJsonAsync<Numbers>("Calculations", numbers);
                    postObj.Wait();

                    var res = postObj.Result;

                    var result = res.Content.ReadAsAsync<Result>().Result.result;

                    ViewBag.Result = "Result : "+result;
                }
            }
            catch (Exception ex)
            {
                ViewBag.Result = "Error:" + ex.Message.ToString();
            }
            return View();

        }

    }
}