﻿using RestAPIEx.Models;
using System;
using System.Web.Http;

namespace RestAPIEx.APIControllers
{
    public class CalciController : ApiController
    {

        [Route("api/Calculations")]
        [HttpPost]
        public Result AddEvents(Numbers obj)
        {
            Result res = new Result();
            try
            {
                switch (obj.calcType)
                {
                    case "+":
                        res.result = (obj.num1 + obj.num2).ToString();
                        break;
                    case "-":
                        res.result = (obj.num1 - obj.num2).ToString();
                        break;
                    case "*":
                        res.result = (obj.num1 * obj.num2).ToString();
                        break;
                    case "/":
                        res.result = (obj.num1 / obj.num2).ToString();
                        break;
                    default:
                        res.result = (obj.num1 + obj.num2).ToString();
                        break;
                }
            }
            catch (Exception ex)
            {
                res.result = "Error : " + ex.Message.ToString();
            }
            return res;
        }



    }
}
